Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2074438

Summary: Review Request: golang-github-goccy-yaml - YAML support for the Go language
Product: [Fedora] Fedora Reporter: Julien Rische <jrische>
Component: Package ReviewAssignee: Maxwell G <maxwell>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: maxwell, package-review
Target Milestone: ---Flags: maxwell: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-07-05 16:47:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2074467    

Description Julien Rische 2022-04-12 08:47:59 UTC
Spec URL: https://pagure.io/rpm-golang-github-goccy-yaml/raw/rawhide/f/golang-github-goccy-yaml.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/jrische/golang-github-goccy-yaml/fedora-rawhide-x86_64/04176949-golang-github-goccy-yaml/golang-github-goccy-yaml-1.9.5-1.fc37.src.rpm

Description:
Go package similar to github.com/go-yaml/yaml with some additional
features.

Fedora Account System Username: jrische

Source RPM repo: https://pagure.io/rpm-golang-github-goccy-yaml

Copr: https://copr.fedorainfracloud.org/coprs/jrische/golang-github-goccy-yaml/

The source RPM includes 1 patch in order to fix literal integer typing issues in tests.

Comment 1 Maxwell G 2022-05-21 23:22:50 UTC
- I would recommend including a comment with a link to the upstream PR above the `Patch0:` entry. I see that it's already included in the patch itself.
- You should regenerate the specfile using `go2rpm github.com/goccy/go-yaml`. Currently, you are missing a `%godocs` definition and a check bcond.

Comment 2 Maxwell G 2022-05-21 23:42:28 UTC
I did not realize that you still need a sponsor. As per the Package Maintainers docs, you should have your review request block FE-NEEDSPONSOR[1] and include some information to help potential sponsors. Any packager can review your package, but an actual sponsor (I am not one) will need to sponsor you into the packagers group.

[1]: https://docs.fedoraproject.org/en-US/package-maintainers/How_to_Get_Sponsored_into_the_Packager_Group/#requesting_sponsorship

Comment 3 Maxwell G 2022-06-24 03:43:32 UTC
@jrische, are you still interested in proceeding with this review?

Comment 5 Maxwell G 2022-06-25 02:39:48 UTC
Hi Julien,

Thanks for updating your spec! For the `Spec URL` field, please use the "raw" text only link on Pagure instead of the "blob" html one. The fedora-review tool will not be able to process it otherwise. I should be able to use the fedora-review output from COPR and not run it myself, but you should still use the proper URL :).

Spec URL: https://pagure.io/rpm-golang-github-goccy-yaml/blob/rawhide/f/golang-github-goccy-yaml.spec

> %{_bindir}/*
You should replace this with the actual filename instead of a glob, as per https://docs.fedoraproject.org/en-US/packaging-guidelines/#_explicit_lists. This is something that needs to be fixed in go2rpm.

As for your sponsorship, you should send an introduction email to the devel list if you haven't already[1]. Please make sure that all of your review requests block  	FE-NEEDSPONSOR.

[1]: https://docs.fedoraproject.org/en-US/package-maintainers/Joining_the_Package_Maintainers/#introduce_yourself

Comment 6 Maxwell G 2022-06-25 02:42:04 UTC
I am not going to go through the whole fedora-review template, as this package uses go2rpm.

- [x] The specfile is sane.
- [x] License is correct
- [x] Builds successfully in mock
- [x] Package is installable (checked by fedora-review)
- [x] No relevant rpmlint erros
- [x] %check section passes
- [x] The latest version is packaged
- [x] `%goipath` is set correctly
- [x] Binaries don't conflict with binaries already in the distribution
- [!] The package complies with the Packaging Guidelines.
- [!] Package does not use globs in shared directories

Comment 8 Kevin Fenzi 2022-07-05 15:37:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-goccy-yaml

Comment 9 Fedora Update System 2022-07-05 16:44:13 UTC
FEDORA-2022-7212b6aa9b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7212b6aa9b

Comment 10 Fedora Update System 2022-07-05 16:47:30 UTC
FEDORA-2022-7212b6aa9b has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-07-05 16:52:59 UTC
FEDORA-2022-2f6233e732 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-2f6233e732

Comment 12 Fedora Update System 2022-07-05 16:53:00 UTC
FEDORA-2022-64c8d0b5d7 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-64c8d0b5d7

Comment 13 Fedora Update System 2022-07-06 01:24:27 UTC
FEDORA-2022-2f6233e732 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-2f6233e732 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-2f6233e732

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-07-06 02:16:03 UTC
FEDORA-2022-64c8d0b5d7 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-64c8d0b5d7 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-64c8d0b5d7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-07-11 02:41:10 UTC
FEDORA-2022-3969b64d4b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-3969b64d4b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-3969b64d4b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-07-14 01:45:43 UTC
FEDORA-2022-64c8d0b5d7 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-07-17 00:57:32 UTC
FEDORA-2022-3969b64d4b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.